一、搭建开发环境
安装nodejs(4.2.6)
下载地址:https://nodejs.org/download/release/v4.2.6/ 下载对应操作系统的安装包并安装。

node -v
检测版本是否正常

检查npm（3.10.5）
npm -v
判断npm版本是否为3.10.5（一般3.x.x版本都可以），如满足要求则忽略下面命令。

(sudo) npm install -g npm --registry=http://registry.npm.taobao.org
安装moye脚手架
追加--registry参数可显著提高安装速度

(sudo) npm install -g cyclone-shell --registry=http://registry.npm.taobao.org


二、创建工程
创建工程文件夹
mkdir ott

cd ott
创建工程目录
moye init
项目默认名称和文件夹名保持一致，点击回车，提示输入应用包名:

工程目录

目录结构说明
└── ott
      ├── package.json            // 存放项目基本信息和node的依赖关系配置
      ├── README.md               // 项目说明文档
      ├── doc                     // 存放生成项目API文档
      ├── src                     // 项目源文件目录
          ├── component           // 存放UI组件文件
          ├── lib                 // 存放基础js和css文件和第三方库
          ├── res                 // 资源文件夹
              ├── tpl             // 模版文件
              ├── img             // 图片资源
              └── values          // 国际化适配文件
          └── stage             
             └──index             // 一个页面
                 ├── scene        // 里面放js文件
                 ├── assets       // 存放本scene的独立资源(即不被index.js或者index.less所引用的资源)
                 ├── index.js
                 ├── index.less
                 └── index.html
          ├── service             // cyclone service 代码
          ├── util                // 存放应用级别工具组件
          └── manifest.json       // cyclone app 配置文件
      ├── buildLocal              // 执行 moye build-cyclone 后生成的 cyclone 代码, 用于打包cyclone wpk包
      └── build                   // 编译后的代码，用于在本地浏览器上调试页面



三、本地预览
moye b
moye s -w
根据提示在浏览器输入:http://127.0.0.1:8080/efunbox-xyyf-web/1.0.0/stage/index/index.html